<?php

namespace UBV\PrincipalBundle\Controller;

use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Route;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Template;

    /**
     * @author Alcides Rausseo <arausseo@ubv.edu.ve>
     * 
     * @todo finish the functions on this page
     */

class PrincipalController extends Controller
{
    
    /**
     * @author Alcides Rausseo <arausseo@ubv.edu.ve>
     * @see generalAction()
     * @edit Prueba
     * @edit 23/02/85
     * @since Version 1.0
     * @todo Realizar una prueba de documentacion
     **/
    
    /**
     * @Route("/", name="ubv_principal")
     * @Template()
     */
    public function principalAction()
    {
        return $this->render('UBVPrincipalBundle::inicio.html.twig');
    }
    
    /**
     * @Route("/documentacion/", name="ubv_principal_documentacion")
     * @Template()
     */
    public function principalDocumentacionAction()
    {
        return $this->render('UBVPrincipalBundle:Documentacion:inicio.html.twig');
    }

   /**
    * @Route("/documentacion/tipos_botones/", name="ubv_principal_documentacion_boton")
    * @Template()
    */
   public function BotonAction() {
     return $this->render('UBVPrincipalBundle:Documentacion:botones.html.twig');
   }


    /**
     * @Route("/documentacion/tipos_formularios_surubv/", name="ubv_principal_documentacion_formulario_surubv")
     * @Template()
     */
    public function formularioTipoSurUbvAction()
    {
        return $this->render('UBVPrincipalBundle:Documentacion:form-layouts-surubv.html.twig');
    }

    /**
     * @Route("/documentacion/tipos_formularios_surubv_componentes/", name="ubv_principal_documentacion_formulario_surubv_componentes")
     * @Template()
     */
    public function formularioComponenteSurUbvAction()
    {
        return $this->render('UBVPrincipalBundle:Documentacion:form-surubv-componentes.html.twig');
    }

    /**
     * @Route("/documentacion/tipos_general_ui/", name="ubv_principal_documentacion_general_ui")
     * @Template()
     */
    public function formularioGeneralUiAction()
    {
        return $this->render('UBVPrincipalBundle:Documentacion:general-ui.html.twig');
    }
    
    /**
     * @Route("/documentacion/tipos_iconos/", name="ubv_principal_documentacion_iconos")
     * @Template()
     */
    public function formularioIconosAction()
    {
        return $this->render('UBVPrincipalBundle:Documentacion:iconos.html.twig');
    }

    /**
     * @Route("/documentacion/tipos_lista/", name="ubv_principal_documentacion_lista")
     * @Template()
     */
    public function formularioListaAction()
    {
        return $this->render('UBVPrincipalBundle:Documentacion:lista.html.twig');
    }
    
    /**
     * @Route("/documentacion/tipos_tabla/", name="ubv_principal_documentacion_tabla")
     * @Template()
     */
    public function formularioTablaAction()
    {
        return $this->render('UBVPrincipalBundle:Documentacion:tabla.html.twig');
    }
    
    /**
     * @Route("/documentacion/tipos_page_404/", name="ubv_principal_documentacion_page_404")
     * @Template()
     */
    public function formularioNotFoundAction()
    {
        return $this->render('UBVPrincipalBundle:Documentacion:page_404.html.twig');
    }
    
    /**
     * @Route("/documentacion/tipos_page_500/", name="ubv_principal_documentacion_page_500")
     * @Template()
     */
    public function formularioNoServerAction()
    {
        return $this->render('UBVPrincipalBundle:Documentacion:page_500.html.twig');
    }
    
    /**
     * @Route("/documentacion/tipos_ingreso/", name="ubv_principal_documentacion_ingreso")
     * @Template()
     */
    public function formularioIngresoAction()
    {
        return $this->render('UBVPrincipalBundle:Documentacion:page_ingreso.html.twig');
    }
    
    /**
     * @Route("/documentacion/tipos_registro/", name="ubv_principal_documentacion_registro")
     * @Template()
     */
    public function formularioRegistroAction()
    {
        return $this->render('UBVPrincipalBundle:Documentacion:page_registro.html.twig');
    }
    
    /**
     * @Route("/documentacion/subir/archivo", name="ubv_principal_documentacion_subir_archivos")
     * @Template()
     */
    public function subirArchivoAction()
    {
        return $this->render('UBVPrincipalBundle:Documentacion:subir_archivos.html.twig');
    }
    
    /**
     * @Route("/documentacion/subir/al_servidor", name="ubv_principal_documentacion_subir_al_servidor")
     */
    public function subirAlServidorAction()
    {
      
        return $this->render('UBVPrincipalBundle:Documentacion:subir_archivos.html.twig');
    }
    
    
}
