<?php

namespace UBV\SurUbvBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * UBV\SurUbvBundle\Entity\AldeaTipoHasAldeaPrograma
 *
 * @ORM\Entity(repositoryClass="UBV\SurUbvBundle\Repository\AldeaTipoHasAldeaProgramaRepository")
 * @ORM\Table(name="aldea_tipo_has_aldea_programa", indexes={@ORM\Index(name="fk_aldea_tipo_has_aldea_programa_aldea_programa1_idx", columns={"aldea_programa_id"}), @ORM\Index(name="fk_aldea_tipo_has_aldea_programa_aldea_tipo1_idx", columns={"aldea_tipo_id"})})
 */
class AldeaTipoHasAldeaPrograma
{
    /**
     * @ORM\Id
     * @ORM\Column(type="integer")
     */
    protected $aldea_tipo_id;

    /**
     * @ORM\Id
     * @ORM\Column(type="integer")
     */
    protected $aldea_programa_id;

    /**
     * @ORM\Column(type="string", length=45)
     */
    protected $prueba;

    /**
     * @ORM\ManyToOne(targetEntity="AldeaTipo", inversedBy="aldeaTipoHasAldeaProgramas")
     * @ORM\JoinColumn(name="aldea_tipo_id", referencedColumnName="id", nullable=false)
     */
    protected $aldeaTipo;

    /**
     * @ORM\ManyToOne(targetEntity="AldeaPrograma", inversedBy="aldeaTipoHasAldeaProgramas")
     * @ORM\JoinColumn(name="aldea_programa_id", referencedColumnName="id", nullable=false)
     */
    protected $aldeaPrograma;

    public function __construct()
    {
    }

    /**
     * Set the value of aldea_tipo_id.
     *
     * @param integer $aldea_tipo_id
     * @return \UBV\SurUbvBundle\Entity\AldeaTipoHasAldeaPrograma
     */
    public function setAldeaTipoId($aldea_tipo_id)
    {
        $this->aldea_tipo_id = $aldea_tipo_id;

        return $this;
    }

    /**
     * Get the value of aldea_tipo_id.
     *
     * @return integer
     */
    public function getAldeaTipoId()
    {
        return $this->aldea_tipo_id;
    }

    /**
     * Set the value of aldea_programa_id.
     *
     * @param integer $aldea_programa_id
     * @return \UBV\SurUbvBundle\Entity\AldeaTipoHasAldeaPrograma
     */
    public function setAldeaProgramaId($aldea_programa_id)
    {
        $this->aldea_programa_id = $aldea_programa_id;

        return $this;
    }

    /**
     * Get the value of aldea_programa_id.
     *
     * @return integer
     */
    public function getAldeaProgramaId()
    {
        return $this->aldea_programa_id;
    }

    /**
     * Set the value of prueba.
     *
     * @param string $prueba
     * @return \UBV\SurUbvBundle\Entity\AldeaTipoHasAldeaPrograma
     */
    public function setPrueba($prueba)
    {
        $this->prueba = $prueba;

        return $this;
    }

    /**
     * Get the value of prueba.
     *
     * @return string
     */
    public function getPrueba()
    {
        return $this->prueba;
    }

    /**
     * Set AldeaTipo entity (many to one).
     *
     * @param \UBV\SurUbvBundle\Entity\AldeaTipo $aldeaTipo
     * @return \UBV\SurUbvBundle\Entity\AldeaTipoHasAldeaPrograma
     */
    public function setAldeaTipo(AldeaTipo $aldeaTipo = null)
    {
        $this->aldeaTipo = $aldeaTipo;

        return $this;
    }

    /**
     * Get AldeaTipo entity (many to one).
     *
     * @return \UBV\SurUbvBundle\Entity\AldeaTipo
     */
    public function getAldeaTipo()
    {
        return $this->aldeaTipo;
    }

    /**
     * Set AldeaPrograma entity (many to one).
     *
     * @param \UBV\SurUbvBundle\Entity\AldeaPrograma $aldeaPrograma
     * @return \UBV\SurUbvBundle\Entity\AldeaTipoHasAldeaPrograma
     */
    public function setAldeaPrograma(AldeaPrograma $aldeaPrograma = null)
    {
        $this->aldeaPrograma = $aldeaPrograma;

        return $this;
    }

    /**
     * Get AldeaPrograma entity (many to one).
     *
     * @return \UBV\SurUbvBundle\Entity\AldeaPrograma
     */
    public function getAldeaPrograma()
    {
        return $this->aldeaPrograma;
    }

    public function __sleep()
    {
        return array('aldea_tipo_id', 'aldea_programa_id', 'prueba');
    }
}