<?php

namespace UBV\SurUbvBundle\Form;

use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;
use  Symfony\Component\Validator\Constraints\NotBlank;
use Symfony\Bridge\Doctrine\Form\Type\EntityType;


class DocenteProyectoType extends AbstractType
{
    /**
     * {@inheritdoc}
     */
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $builder
        
        ->add('estatus')
        
        #->add('docente')
        ->add('docente', EntityType::class, array(
            'disabled'=>false,
            'mapped'=>true,
            'class' => 'UBVSurUbvBundle:DocenteProyecto',
            'label'      =>"Docente",
            'empty_data' => "0",
            'placeholder'=>"Seleccione...",
            'attr'       => array('class' => 'form-control ','placeholder'=>''),
            'label_attr' => array('class' => 'control-label'),
        ))  
        
        ->add('proyecto')
        
        ->add('vinculacionProyecto');
    }
    
    /**
     * {@inheritdoc}
     */
    public function configureOptions(OptionsResolver $resolver)
    {
        $resolver->setDefaults(array(
            'data_class' => 'UBV\SurUbvBundle\Entity\DocenteProyecto'
        ));
    }

    /**
     * {@inheritdoc}
     */
    public function getBlockPrefix()
    {
        return 'ubv_surubvbundle_docenteproyecto';
    }


}
