<?php

namespace UBV\SurUbvBundle\Form;

use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;

use Symfony\Bridge\Doctrine\Form\Type\EntityType;

class PersonaCorreoRegisterType extends AbstractType
{
    /**
     * @param FormBuilderInterface $builder
     * @param array $options
     */
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $builder
            ->add('correo', null, array(
              'label'=>'Correo Electrónico',
              'attr'       => array('class' => 'form-control','placeholder'=>''),
              'label_attr' => array('class' => 'control-label'),
            ))
                
            ->add('correoTipo', EntityType::class, array(
                'class' => 'UBVSurUbvBundle:CorreoTipo',
                'label'      =>"Tipo de Correo",
                'empty_data' => "0",
                'placeholder'=>"Seleccione...",
                'attr'       => array('class' => 'form-control ','placeholder'=>''),
                'label_attr' => array('class' => 'control-label'),
            ))
        ;
    }
    
    /**
     * @param OptionsResolver $resolver
     */
    public function configureOptions(OptionsResolver $resolver)
    {
        $resolver->setDefaults(array(
            'data_class' => 'UBV\SurUbvBundle\Entity\PersonaCorreo'
        ));
    }
}
