<?php

namespace UBV\SurUbvBundle\Form;

use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;

class PersonaType extends AbstractType
{
    /**
     * @param FormBuilderInterface $builder
     * @param array $options
     */
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $builder
            ->add('primer_nombre')
            ->add('segundo_nombre')
            ->add('primer_apellido')
            ->add('segundo_apellido')
            ->add('fecha_nacimiento', 'date')
            ->add('groups')
            ->add('docente')
            ->add('estudiante')
            ->add('estadoCivil')
            ->add('genero')
            ->add('pais')
        ;
    }
    
    /**
     * @param OptionsResolver $resolver
     */
    public function configureOptions(OptionsResolver $resolver)
    {
        $resolver->setDefaults(array(
            'data_class' => 'UBV\SurUbvBundle\Entity\Persona'
        ));
    }
}
