<?php

namespace UBV\SurUbvBundle\Form;

use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;
use  Symfony\Component\Validator\Constraints\NotBlank;
use Symfony\Bridge\Doctrine\Form\Type\EntityType;

class SaberType extends AbstractType
{
    /**
     * {@inheritdoc}
     */
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $builder

        #->add('cantidad')
        ->add('cantidad', null, array(
            'mapped'=>true,
            'disabled'=>false,
            'label'=>'Ingrese la Cantidad',
            'constraints' => new NotBlank(array('groups' => array('Default'))),
            'attr'       => array('class' => 'form-control','placeholder'=>''),
            'label_attr' => array('class' => 'control-label'),
        ))

        ->add('proyecto')

        ->add('saberTipo');
    }
    
    /**
     * {@inheritdoc}
     */
    public function configureOptions(OptionsResolver $resolver)
    {
        $resolver->setDefaults(array(
            'data_class' => 'UBV\SurUbvBundle\Entity\Saber'
        ));
    }

    /**
     * {@inheritdoc}
     */
    public function getBlockPrefix()
    {
        return 'ubv_surubvbundle_saber';
    }


}
