<?php

namespace UBV\SurUbvBundle\Form;

use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;
use  Symfony\Component\Validator\Constraints\NotBlank;
use Symfony\Bridge\Doctrine\Form\Type\EntityType;


class ActividadEstatusType extends AbstractType
{
    /**
     * {@inheritdoc}
     */
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $builder
                #->add('descripcion');
                ->add('descripcion', EntityType::class, array(
                    'disabled'=>false,
                    'mapped'=>true,
                    'class' => 'UBVSurUbvBundle:ActividadEstatus',
                    'label'      =>"Estatus del Proyectos DUDA",
                    'empty_data' => "0",
                    'placeholder'=>"Seleccione...",
                    'attr'       => array('class' => 'form-control ','placeholder'=>''),
                    'label_attr' => array('class' => 'control-label'),
                ))  
                ;
    }
    
    /**
     * {@inheritdoc}
     */
    public function configureOptions(OptionsResolver $resolver)
    {
        $resolver->setDefaults(array(
            'data_class' => 'UBV\SurUbvBundle\Entity\ActividadEstatus'
        ));
    }

    /**
     * {@inheritdoc}
     */
    public function getBlockPrefix()
    {
        return 'ubv_surubvbundle_actividadestatus';
    }


}
