<?php

namespace UBV\SurUbvBundle\Form;

use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;
use  Symfony\Component\Validator\Constraints\NotBlank;
use Symfony\Bridge\Doctrine\Form\Type\EntityType;

class ComunidadType extends AbstractType
{
    /**
     * {@inheritdoc}
     */
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $builder
        #->add('descripcion')
        // Text suggestions
        ->add('descripcion', 'genemu_jqueryautocomplete_entity', array(
            'class' => 'UBVSurUbvBundle:Comunidad',
            'property' => 'descripcion',
            'constraints' => new NotBlank(array('groups' => array('Default'))),
            'attr'       => array('class' => 'form-control','placeholder'=>''),
            'label_attr' => array('class' => 'control-label'),
            )
        )

        ->add('comunidadTipo')

       ;
    }
    
    /**
     * {@inheritdoc}
     */
    public function configureOptions(OptionsResolver $resolver)
    {
        $resolver->setDefaults(array(
            'data_class' => 'UBV\SurUbvBundle\Entity\Comunidad'
        ));
    }

    /**
     * {@inheritdoc}
     */
    public function getBlockPrefix()
    {
        return 'ubv_surubvbundle_comunidad';
    }


}
