<?php

namespace UBV\SurUbvBundle\Form;

use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;
use Symfony\Bridge\Doctrine\Form\Type\EntityType;
use Symfony\Component\Form\Extension\Core\Type\FileType;

class EstudianteDocumentoEditType extends AbstractType
{
    /**
     * @param FormBuilderInterface $builder
     * @param array $options
     */
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
      
        $builder
            ->add('file', FileType::class, array(
                'label'=>'Adjunte el Archivo',
                'attr'       => array('class' => ''),
                'label_attr' => array('class' => 'control-label'),
            ))
                
           ->add('rutaDocumento',null, array(
                'label'=>'Adjunte el Archivo',
                'attr'       => array('class' => 'form-control ','placeholder'=>''),
                'label_attr' => array('class' => 'control-label'),
            ))
            
            ->add('requisitoInscripcion', EntityType::class, array(
                'class' => 'UBVSurUbvBundle:RequisitoInscripcion',
                'label'      =>"Tipo de Requisito",
                'empty_data' => "0",
                'placeholder'=>"Seleccione...",
                'attr'       => array('class' => 'form-control ','placeholder'=>''),
                'label_attr' => array('class' => 'control-label'),
            ))

        ;
    }
    

    
    
    /**
     * @param OptionsResolver $resolver
     */
    public function configureOptions(OptionsResolver $resolver)
    {
        $resolver->setDefaults(array(
            'data_class' => 'UBV\SurUbvBundle\Entity\EstudianteDocumento',
            'constrints' => true,
            'validation_groups' => array("Default"),
        ));
    }
}
