<?php

namespace UBV\SurUbvBundle\Form;

use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;
use  Symfony\Component\Validator\Constraints\NotBlank;
use Symfony\Bridge\Doctrine\Form\Type\EntityType;

class ObjetivoPlanPatriaType extends AbstractType
{
    /**
     * {@inheritdoc}
     */
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $builder
        
        #->add('indice_objetivo')
        ->add('indice_objetivo', EntityType::class, array(
            'disabled'=>false,
            'mapped'=>true,
            'class' => 'UBVSurUbvBundle:ObjetivoPlanPatria',
            'choice_label' =>'getObjePlanPatria',
            'label'      =>"Indice",
            'empty_data' => "0",
            'placeholder'=>"Seleccione...",
            'attr'       => array('class' => 'form-control ','placeholder'=>''),
            'label_attr' => array('class' => 'control-label'),
        ))  
        
        #->add('descripcion')
        ->add('descripcion', EntityType::class, array(
            'disabled'=>false,
            'mapped'=>true,
            'class' => 'UBVSurUbvBundle:ObjetivoPlanPatria',
            'label'      =>"Objetivo",
            'empty_data' => "0",
            'placeholder'=>"Seleccione...",
            'attr'       => array('class' => 'form-control ','placeholder'=>''),
            'label_attr' => array('class' => 'control-label'),
        ))  
          
        #->add('objetivoNivel')
        ->add('objetivoNivel', EntityType::class, array(
            'disabled'=>false,
            'mapped'=>true,
            'class' => 'UBVSurUbvBundle:ObjetivoNivel',
            'label'      =>"Objetivo Nivel",
            'empty_data' => "0",
            'placeholder'=>"Seleccione...",
            'attr'       => array('class' => 'form-control ','placeholder'=>''),
            'label_attr' => array('class' => 'control-label'),
        )) 


        #->add('objetivoPlanPatria')
        ->add('objetivoPlanPatria', EntityType::class, array(
            'disabled'=>false,
            'mapped'=>true,
            'class' => 'UBVSurUbvBundle:ObjetivoPlanPatria',
            'choice_label' =>'getObjePlanPatria',
            'label'      =>"Objetivo",
            'empty_data' => "0",
            'placeholder'=>"Seleccione...",
            'attr'       => array('class' => 'form-control ','placeholder'=>''),
            'label_attr' => array('class' => 'control-label'),
        ))  

        ->add('proyectos');
    }
    
    /**
     * {@inheritdoc}
     */
    public function configureOptions(OptionsResolver $resolver)
    {
        $resolver->setDefaults(array(
            'data_class' => 'UBV\SurUbvBundle\Entity\ObjetivoPlanPatria'
        ));
    }

    /**
     * {@inheritdoc}
     */
    public function getBlockPrefix()
    {
        return 'ubv_surubvbundle_objetivoplanpatria';
    }


}
