<?php

namespace UBV\SurUbvBundle\Form;

use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;
use Symfony\Bridge\Doctrine\Form\Type\EntityType;

class PersonaNacionalidadType extends AbstractType
{
    /**
     * @param FormBuilderInterface $builder
     * @param array $options
     */
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $builder
            ->add('identificacion', null, array(
                'disabled'=>true,
                'label'=>'Identificación',
                'attr'       => array('class' => 'form-control','placeholder'=>''),
                'label_attr' => array('class' => 'control-label'),
            ))
                
            //->add('estatus')
                
            ->add('nacionalidad', EntityType::class, array(
                'class' => 'UBVSurUbvBundle:Nacionalidad',
                'label'      =>"Nacionalidad",
                'empty_data' => "0",
                'placeholder'=>"Seleccione...",
                'attr'       => array('class' => 'form-control ','placeholder'=>''),
                'label_attr' => array('class' => 'control-label'),
            ))
            
            ->add('documentoIdentidadTipo', EntityType::class, array(
                'disabled'=>true,
                'class' => 'UBVSurUbvBundle:DocumentoIdentidadTipo',
                'label'      =>"",
                'empty_data' => "0",
                'placeholder'=>" ",
                'attr'       => array('class' =>  'form-control form-control-choice','placeholder'=>''),
                'label_attr' => array('class' => 'control-label'),
            ))
        ;
    }
    
    /**
     * @param OptionsResolver $resolver
     */
    public function configureOptions(OptionsResolver $resolver)
    {
        $resolver->setDefaults(array(
            'data_class' => 'UBV\SurUbvBundle\Entity\PersonaNacionalidad'
        ));
    }
}
